--[[ include used code ]]
require "stgTools"

function onCreate_myGui(playerIndex)
	local player = game.players[playerIndex]
	if glob.cfg.printMode then
		player.print("onCreate")
	end

	stg_createActionButton(player, "btnSample", "Sample +")
end

function onRemove_myGui(playerIndex)
	local player = game.players[playerIndex]
	if glob.cfg.printMode then
		player.print("onRemove")
	end

	stg_destroyActionElement(player, "btnSample")
end

function onUpdate_myGui(playerIndex)
	local player = game.players[playerIndex]
	if glob.cfg.printMode then
		player.print("onUpdate")
	end
end

local function add_bottom_frame(guiFrame, playerIndex)
	local myFlow = guiFrame.add( { type="flow", direction="horizontal" } )
	myFlow.style.minimalwidth = 320
	myFlow.style.toppadding = 8
	local myElement = myFlow.add( { type= "button", name= "tfrRefreshPage", caption="back" } )
	myElement.style.fontcolor = { r=1,g=1,b=0 }
	myFlow.add( { type= "button", name= "tfrClose", caption="close" } )
end

local function create_thunderBox(player, playerIndex)
	return player.gui.center.add( { type="frame", name="thunderBox", 
		caption = "Thunder box", style="tms_frame_compact", direction="vertical"} )
end

local function open_or_renew_thunderBox(player, playerIndex)
   local myFrame = player.gui.center.thunderBox
 	if myFrame then
      myFrame.destroy();
   end
   return create_thunderBox(player, playerIndex)
end

local function mySettings(player, playerIndex)
	local myFrame = open_or_renew_thunderBox(player, playerindex)

	local myFlow = myFrame.add( { type= "flow", direction= "vertical" } )
	myFlow.style.minimalwidth = 320

	myFlow.add( { type= "label", caption="I can do what i want!" } )

	add_bottom_frame( myFrame, playerIndex, true)
end

--[ event onguiclick ]
game.onevent(defines.events.onguiclick, 
function(event)
	--$$ Check for button clicks
	local player = game.players[event.playerindex]
	if event.element.name == "btnSample" then 
		player.print("Sample-button says: hello world!!")
	elseif event.element.name == "mySettings" then
		if glob.cfg.printMode then
			player.print("yay Settings-button wurks!!")
		end
		mySettings(player, event.playerindex)
	end
end)

